Uploaded image for project: 'JDK'
  1. JDK
  2. JDK-8161129

Unsafe::getUnsafe should allow the platform class loader to access it

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: P4
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: 9
    • Component/s: core-libs
    • Labels:
      None
    • Resolved In Build:
      b129

      Description

      Unsafe can only be used by boot modules (if VM::isSystemDomainLoader returns true). There are existing (or planned to be) platform modules that would also like to use it. Maybe the restriction can be relaxed.

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                psandoz Paul Sandoz (Inactive)
                Reporter:
                weijun Weijun Wang
              • Votes:
                0 Vote for this issue
                Watchers:
                4 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved: